#ifndef __DEBUG_H
#define __DEBUG_H

extern const char red_color[];
extern const char green_color[];
extern const char normal_color[];

void  __attribute__ ((__format__ (__printf__, 5, 6)))
print_trace(const char *file, int line, int color, int l,
		const char *fmt, ...);

#define pr_err(arg...)  print_trace(__FILE__, __LINE__, 1, 0, arg)
#define pr_info(arg...) print_trace(__FILE__, __LINE__, 2, 1, arg)

#endif
